perk = {}


### Shotgun-Tree
# Tier 1
perk["Pump-Action Shotgun"] = {
    "next": [],
    "req" : [],
    "pos" : [126,28],
    "desc": "Your old and trustworthy Winchester pump-action shotgun. Now, this is the only argument that stands between your lawn and these moving carcasses.",
    "img" : "pumpactionshotgun"
}

perk["Trigger Happy"] = {
    "next": [],
    "req" : ["Pump-Action Shotgun"],
    "pos" : [44,65],
    "desc": "It took some while, but you got accustomed on pulling the trigger. Even better, you are now able to pull the trigger a tad faster.",
    "img" : "triggerhappy",
    "cooldown": -2
}

perk["Aerodynamic Bullets"] = {
    "next": [],
    "req" : ["Pump-Action Shotgun"],
    "pos" : [86,88],
    "desc": "Aerodynamic bullets are... aerodynamic, duh. They are flying faster and thus, also do more damage and are more likely to pierce the target.",
    "img" : "aerodynamicbullets",
    "bulletspeed": 15,
    "shotgundamage": 1,
    "piercing": 0.01
}

perk["Bullet-Cramper"] = {
    "next": [],
    "req" : ["Pump-Action Shotgun"],
    "pos" : [166,88],
    "desc": "You squeeze and crimp and push and squeeze and, indeed, you can get some more bullets into your shotgun than you should be able to.",
    "img" : "bulletcramper",
    "clipsize": 2
}

perk["Sleight of Hand"] = {
    "next": [],
    "req" : ["Pump-Action Shotgun"],
    "pos" : [208,65],
    "desc": "You are having little problems fiddling those bullets into your shotgun. And you are getting quite quick with this.",
    "img" : "sleightofhand",
    "reloadtime": -10
}

# Tier 2
perk["Semi-automatic Shotgun"] = {
    "next": [],
    "req" : ["Pump-Action Shotgun","Trigger Happy","Aerodynamic Bullets","Bullet-Cramper","Sleight of Hand"],
    "pos" : [126,132],
    "desc": "You found this pretty thing with one of these zombies. Being definitely better than your old shotgun, this one will serve you well.",
    "img" : "semiautomaticshotgun",
    "cooldown": -2,
    "bulletspeed": 5,
    "clipsize": 2,
    "shotgundamage": 3
}

perk["Charge!!!"] = {
    "next": [],
    "req" : ["Trigger Happy"],
    "pos" : [44,140],
    "desc": "In a very enthusiastic way you are storming against those beasts. You fire your weapon more often and your own momentum even increases the speed of your bullets a bit.",
    "img" : "charge",
    "cooldown": -3,
    "bulletspeed": 5
}

perk["Speed-striped Bullets"] = {
    "next": [],
    "req" : ["Aerodynamic Bullets"],
    "pos" : [86,163],
    "desc": "Everyone nows that speed-stripes are increasing the speed of the object that has been speed-striped. Naturally, this also applies to bullets.",
    "img" : "speedstripedbullets",
    "cooldown": -2,
    "bulletspeed": 15,
    "shotgundamage": 1,
    "piercing": 0.01
}

perk["Clip-Zipper"] = {
    "next": [],
    "req" : ["Bullet-Cramper"],
    "pos" : [166,163],
    "desc": "No-one knows how you are doing it, but somehow you are able to compress items in a way that you are getting quite more of them into a container than should be possible. A skill that is proving to be quite useful now.",
    "img" : "clipzipper",
    "clipsize": 2,
    "reloadtime": -5
}

perk["Ammo-Belt"] = {
    "next": [],
    "req" : ["Sleight of Hand"],
    "pos" : [208,140],
    "desc": "This belt you found is quite handy as it allows you to ease reloading of your weapon du to the way bullets are grouped on this belt.",
    "img" : "ammobelt",
    "clipsize": 1,
    "reloadtime": -10
}

# Tier 3
perk["Jackhammer"] = {
    "next": [],
    "req" : ["Semi-automatic Shotgun","Charge!!!","Speed-striped Bullets","Clip-Zipper","Ammo-Belt"],
    "pos" : [126,219],
    "desc": "A very powerful shotgun, which easily could be mistaken with a machine gun (at least, it does shoot very fast). The reload time is a bit longer, though, but it should have enough power to make up for this.",
    "img" : "jackhammer",
    "cooldown": -7,
    "bulletspeed": 20,
    "clipsize": 5,
    "reloadtime": 15,
    "shotgundamage": 4+1,
    "piercing": 0.01
}

perk["Auto-Fire"] = {
    "next": [],
    "req" : ["Jackhammer"],
    "pos" : [44,273],
    "desc": "Tweaking some parts on your Jackhammer, you were able to get the rate of fire a bit higher. There is no way you could put more metal into a undead in this little time.",
    "img" : "autofire",
    "cooldown": -7,
    "bulletspeed": 5,
    "shotgundamage": 2
}

perk["Speed-striped Barrel"] = {
    "next": [],
    "req" : ["Jackhammer"],
    "pos" : [86,273],
    "desc": "Having utilized all know tricks for faster-flying bullets you considered that a speed-striped barrel might be speedy enough to accelerate your bullets even more. Surprisingly, this really seem to work!",
    "img" : "speedstripedbarrel",
    "cooldown": -2,
    "bulletspeed": 25,
    "shotgundamage": 2+2,
    "piercing": 0.02
}

perk["Aluminium Clips, 2x Size"] = {
    "next": [],
    "req" : ["Jackhammer"],
    "pos" : [166,273],
    "desc": "An old friend of yours once said 'Aluminium clips are light, versatile, and easy to modify'. You're surprised how well your self-built 2x-size clips are working. (You even save some time while reloading!)",
    "img" : "aluminiumclips2xsize",
    "clipsize": 8,
    "reloadtime": -5,
    "shotgundamage": 2
}

perk["Automatic Reloader"] = {
    "next": [],
    "req" : ["Jackhammer"],
    "pos" : [208,273],
    "desc": "This handy module was a clever thing you build, as it drastically reduces the reload time of your Jackhammer. There is no way to reload faster than with this device.",
    "img" : "automaticreloader",
    "clipsize": 2,
    "reloadtime": -25,
    "shotgundamage": 2
}

### Mensch-Tree
# Tier 1
perk["Fast Metabolism"] = {
    "next": [],
    "req" : [],
    "pos" : [388,65],
    "desc": "You always had a very fast metabolism, providing such exceptional benefits like staying slim regardless how much you eat. It seems your metabolism also enables you to heal wounds faster than normal.",
    "img" : "fastmetabolism",
    "regen": 1
}

perk["Thick Skin"] = {
    "next": [],
    "req" : [],
    "pos" : [464,65],
    "desc": "The time you have spend defending your lawn in the cold and harsh place that is outside made your skin harder. (Maybe it also got this way due to all those zombie bites you collected so far). Nevertheless, it does not hurt so much anymore if a zombie gets hold of you.",
    "img" : "thickskin",
    "dmgreduction": -1
}

# Tier 2
perk["Regeneration"] = {
    "next": [],
    "req" : ["Fast Metabolism"],
    "pos" : [388,115],
    "desc": "Somehow your Fast Metabolism evolved into a next phase of real regeneration. Your wounds are healing on their own faster now and you are even able to cope a bit more with the pain, such reducing the slowdown you experience if a zombie hits you.",
    "img" : "regeneration",
    "regen": 1,
    "slowdownmod": 0.05
}

perk["Painkiller"] = {
    "next": [],
    "req" : ["Thick Skin"],
    "pos" : [464,115],
    "desc": "These painkillers help ignoring the pain quite well, thus reducing the 'real' damage you receive. They also boost your maximum health a bit due to unknown side effects. (One reported side effect might be a greater chance of getting addicted to diverse substances... whatever this means.)",
    "img" : "painkiller",
    "maxhp": 10,
    "dmgreduction": -1
}

# Tier 3
perk["Greater Regeneration"] = {
    "next": [],
    "req" : ["Regeneration"],
    "pos" : [388,164],
    "desc": "Your regenerative skills further improved, also providing you a boost to your maximum HP (in addition to the an improvement of the bonuses already received).",
    "img" : "greaterregeneration",
    "regen": 1,
    "slowdownmod": 0.075,
    "maxhp": 20
}

perk["Anabolic Substance Addiction"] = {
    "next": [],
    "req" : ["Painkiller"],
    "pos" : [464,164],
    "desc": "Oh, this they ment with diverse substances. Somehow you just got addicted to this stuff. You are able to bear a lot more pain (thus reducing the damage taken) and your build up body also provides some other neat bonuses (like more HP and lower slowdown if zombies grab you).",
    "img" : "anabolicsubstanceaddiction",
    "slowdownmod": 0.075,
    "maxhp": 20,
    "dmgreduction": -2
}

# Tier 4
perk["Ubermensch"] = {
    "next": [],
    "req" : ["Greater Regeneration","Anabolic Substance Addiction"],
    "pos" : [426,214],
    "desc": "The combination of your inherit regenerative skills and your shameable addiction to anabolic substances somehow changed your body in a way not seen before. You are stronger now, can cope with a lot more pain than before, and it is nearly impossible for zombies to stop you; no matter how hard they hit.",
    "img" : "ubermensch",
    "regen": 2,
    "slowdownmod": 0.25,
    "maxhp": 50,
    "dmgreduction": -1
}


### Melee-Tree
# Tier 1
perk["Dodger"] = {
    "next": [],
    "req" : [],
    "pos" : [509,65],
    "desc": "You quickly realized that not getting hit would be a useful skill to extend your chances of survival - here you go, I hope you like it.",
    "img" : "dodger",
    "dodge": 0.1
}

perk["Self-Defence 101"] = {
    "next": [],
    "req" : [],
    "pos" : [556,65],
    "desc": "You got weary of getting biten and beaten by zombies and never having a chance to fight back. But now, everything changes. There is a small chance that you will hit back if a zombie tries to grab you, thus making you an even more threat for those moving corpses.",
    "img" : "selfdefence101",
    "hitback": 0.1,
    "meleedamage": 2
}

perk["Medic"] = {
    "next": [],
    "req" : [],
    "pos" : [603,65],
    "desc": "In need of applying those medkits rather quickly and efficiently, you slightly improved your medical skills - you might even be able to pass some of the Medic Beginner's tests.",
    "img" : "medic",
    "medkitheal": 5
}

# Tier 2
perk["Ghostly Shadow"] = {
    "next": [],
    "req" : ["Dodger"],
    "pos" : [509,115],
    "desc": "You practiced your dodge skills very well and took it to a whole new level. Those zombies sadly now have to realize that you might not be there, where you are, but rather there, where you not are. - Remember: The faster you are, the harder you are to hit",
    "img" : "ghostlyshadow",
    "dodge": 0.15,
    "movement": 0.15
}

perk["Paws of Fury"] = {
    "next": [],
    "req" : ["Self-Defence 101"],
    "pos" : [556,115],
    "desc": "You are not only hitting back, you are also able to hit back so hard that those beasts are stunned for a moment - Don't be shy to show those claws.",
    "img" : "pawsoffury",
    "hitback": 0.15,
    "meleedamage": 3,
    "stunchance": 0.1
}

perk["Doctor"] = {
    "next": [],
    "req" : ["Medic"],
    "pos" : [603,115],
    "desc": "You improved your medical skills well enough to go through as a doctor (at least you are able to treat all kinds of bites and scratches). You are also able to use your knowledge to guess if and how bad someone is injured (even is the patient is technically dead... undead.).",
    "img" : "doctor",
    "medkitheal": 10,
    "zombiehp": 1
}

# Tier 3
perk["Ninja"] = {
    "next": [],
    "req" : ["Ghostly Shadow","Paws of Fury"],
    "pos" : [509,165],
    "desc": "Making your skill to a gift you ensure that you are always there where they don't expect you. You are very hard to hit and you even use your talent to strike back when they least expect it (increasing your melee damage).",
    "img" : "ninja",
    "dodge": 0.25,
    "movement": 0.3,
    "meleedamage": 2
}

perk["Surgeon"] = {
    "next": [],
    "req" : ["Doctor","Paws of Fury"],
    "pos" : [603,165],
    "desc": "Some people would call you surgeon, but in light of the current circumstances I would prefer 'butcher' instead.",
    "img" : "surgeon",
    "shotgundamage": 1,
    "meleedamage": 2,
    "medkitheal": 15
}

# Tier 4
perk["StreetFighter"] = {
    "next": [],
    "req" : ["Paws of Fury","Ninja","Surgeon"],
    "pos" : [556,215],
    "desc": "In the end, both are the same somehow, right? (You learned a trick to instantly kill a zombie with one melee hit - but you are still trying to figure out how exactly you are doing this.)",
    "img" : "streetfighter",
    "hitback": 0.25,
    "meleedamage": 4,
    "stunchance": 0.15,
    "killingblow": 0.05
}


### Other-Trees
# Running
perk["Need for Speed"] = {
    "next": [],
    "req" : [],
    "pos" : [253,65],
    "desc": "Tired of needing so much time to get away from these zombies or to get to the medkit you just need right now? Then this perk might be the right one for you!",
    "img" : "needforspeed",
    "movement": 0.3
}

perk["Burning Wheels"] = {
    "next": [],
    "req" : ["Need for Speed"],
    "pos" : [253,115],
    "desc": "Moving around in your wheelchair so much improved your arm-muscles to an extend that enables you to move around even faster! (Also, zombies are now slowing you down a bit less if they hit you)",
    "img" : "burningwheels",
    "slowdownmod": 0.05,
    "movement": 0.75
}

# Surviving
perk["Scavenger"] = {
    "next": [],
    "req" : [],
    "pos" : [299,65],
    "desc": "You know where to look and you know how to find it. This perk increases the chance on power-ups a bit.",
    "img" : "scavenger",
    "droprate": 0.025
}

perk["Survival Specialist"] = {
    "next": [],
    "req" : ["Scavenger"],
    "pos" : [299,115],
    "desc": "You are finding a lot more stuff useful for your survival. You are even able to get a bit more ammunition out of these ammo-boxes than usual. (Bullets hidden within ammo boxes, undetectable for the unwary eye?)",
    "img" : "survivalspecialist",
    "droprate": 0.075,
    "ammobonus": 25
}

# Splitting
perk["Scattering Barrel"] = {
    "next": [],
    "req" : [],
    "pos" : [253,164],
    "desc": "This modification of your barrel allows you to shoot more bullets per shot, indirectly increasing the damage you deal. It could be dangerous for you, but it is quite more dangerous for anyone who is standing in your way.",
    "img" : "scatteringbarrel",
    "burst": 2
}

perk["Bullet-Splitter"] = {
    "next": [],
    "req" : ["Scattering Barrel"],
    "pos" : [253,214],
    "desc": "You made a hobby of splitting bullets in half before loading them into your weapon, effectively doubling the amount of bullets you fire per shot. Also, those extra pointy and sharp edges of those halfed bullets are doing some extra damage and are more likely to pierce your target.",
    "img" : "bulletsplitter",
    "burst": 3,
    "shotgundamage": 1,
    "piercing": 0.01
}

# Sharping
perk["Sharpened Bullets"] = {
    "next": [],
    "req" : [],
    "pos" : [299,164],
    "desc": "You just made a habbit of sharping your bullets with a pencil sharpener (you hoped this would bring you some luck). Actually, it seems it does have a positive effect! Your bullets are more likely now to pierce a hit zombie than before.",
    "img" : "sharpenedbullets",
    "piercing": 0.025
}

perk["Sharp(-)Shooter"] = {
    "next": [],
    "req" : ["Sharpened Bullets"],
    "pos" : [299,214],
    "desc": "Sharp-Shooter? You get it? Sharp like from sharpener? he? he? .... Bad joke I know, but at least your bullets are now more likely to pass through zombies and even do some more damage!",
    "img" : "sharpshooter",
    "piercing": 0.05,
    "shotgundamage": 2
}

# Minding
perk["Swift Learner"] = {
    "next": [],
    "req" : [],
    "pos" : [343,86],
    "desc": "You never stopped learning. You just got faster at it. This perks provides you 20% more XP per zombie than usual; so I hope you got this perk quite early.",
    "img" : "swiftlearner",
    "xpbonus": 0.2
}

perk["Focused Mind"] = {
    "next": [],
    "req" : ["Swift Learner"],
    "pos" : [343,136],
    "desc": "You are now able to concentrate your thoughts around one single thought or object, increasing the amount of XP you receive per zombie, but also enabling you to use Telekinesis-Skills on Power-Ups (Hold your mouse long enough over a power up to obtain this power up via Telekinesis - This skill might become quite handy)",
    "img" : "focusedmind",
    "xpbonus": 0.3,
    "telekinesis": 1
}

perk["Ph.D. Necrology"] = {
    "next": [],
    "req" : ["Focused Mind"],
    "pos" : [343,186],
    "desc": "Due to your excellent learning and observations skills you are able to list all known weaknesses of technically dead but still living creatures, thus improving the damage you deal. You really would receive a diploma of some sort... if there would be a university handing them out.",
    "img" : "phdnecrology",
    "xpbonus": 0.5,
    "shotgundamage": 2,
    "meleedamage": 2
}


# Winning
perk["King of the Lawn"] = {
    "next": [],
    "req" : ["Auto-Fire","Speed-striped Barrel","Aluminium Clips, 2x Size","Automatic Reloader","Ubermensch","StreetFighter","Burning Wheels","Sharp(-)Shooter","Survival Specialist","Ph.D. Necrology","Bullet-Splitter"],
    "pos" : [323,310],
    "desc": "Congratulations. You proved your rotting ex-neighbours that you are indeed the King of your Lawn. Unfortunately, it seems that those ever increasing waves of zombies will never stop.. so try to make the best out of it and give them a real hard time! (This perk provides a random XP bonus and will be re-applied with every subsequent 'Level-Up', improving your score!)",
    "img" : "kingofthelawn",
    "xp": 2500
}

