""" some handy stuff """

class Timer:
    def __init__(self, interval):
        self.counter = 0
        self.interval = interval
        self.active = True

    def update(self, add=1):
        if not self.active:
            return None

        self.counter += add
        if self.counter >= self.interval:  #ping! the time has come.
            self.counter = 0
            return True
        return False

    def set_interval(self, value):
        self.interval = value

    def deactivate(self):
        self.active = False

    def activate(self):
        self.counter = 0
        self.active = True


def center(img_size, sur_size):
    """ returns center pos for img on surface"""
    img_x, img_y = img_size
    sur_x, sur_y = sur_size
    center_x = sur_x/2 - img_x/2
    center_y = sur_y/2 - img_y/2
    return [center_x, center_y]

def vel_towards(from_pos, dest_pos, speed=100.0):
    """ returns vel to get from from_pos to dest_pos """
    fx, fy = from_pos
    dx, dy = dest_pos
    a = dx-fx
    b = dy-fy
    vx, vy = a, b

    a = abs(a)
    b = abs(b)

    if a < b:
        tmp = a
        a = b
        b = tmp

    if a==0:
        return(0,0)
    mod = speed / a
    vx *= mod
    vy *= mod
    #print vx, vy, a, mod
    return (vx, vy)


#gen "next perk" list
def gen_next(perk):
    for name in perk.keys():
        l = perk[name]["req"]
        if l:
            for p in l:
                perk[p]["next"].append(name)

#gen "req" tree for player
def gen_req_tree(perk):
    req_tree = {}
    for name in perk.keys():
        req_tree[name] = 0

    for name in perk.keys():
        if name != "Pump-Action Shotgun":
            l = len(perk[name]["req"])
            req_tree[name] = l

    for name in perk.keys():
        #if perk[name]["req"] == ["Pump-Action Shotgun"]:
            #req_tree[name] = 0
        if not perk[name]["req"]:
            continue
        if perk[name]["req"].__contains__("Pump-Action Shotgun"):
            req_tree[name] -= 1


    req_tree["Pump-Action Shotgun"] = True
    return req_tree

